Function
range
Returns the suffix array interval borders of occurrences of representative substring or a q-gram in the index text.
range(index, shape)
range(iterator)
Include Headers
seqan/index.h
Parameters

index | A q-gram index. Types: IndexQGram
shape | A shape object. Note: The shape stores the q-gram of the last call to hash or hashNext. Types: Shape
iterator | An iterator of a suffix tree. Types: VSTree Iterator

Return Values
All positions where the q-gram stored in shape occurs in the text (see QGramText) are stored in a contiguous range of the suffix array. range returns begin and end position of this range. If the type of index is TIndex the return type is Pair<Size<TIndex>::Type>.
All positions where a substring occurs in the text (see EsaText) are stored in a contiguous range of the suffix array. range returns begin and end position of this range for occurrences of representative. If iterator's container type is TIndex the return type is Pair<Size<TIndex>::Type>.
Member of
Index, IndexQGram, VSTree Iterator
Examples
The following code shows a simple example how the function range is used.
File "index_begin_range_goDown_representative_repLength.cpp"

1 | #include <seqan/index.h>
2 |
3 | using namespace seqan;
4 |
5 | int main ()
6 | {
7 | typedef Index<CharString> TIndex;
8 |
9 | TIndex index("MISSISSIPPI");
10 | Iterator<TIndex, TopDown<> >::Type it(index);
11 |
12 | goDown(it, "ISSI");
13 | std::cout << "The string " << representative(it) << " occurs " << range(it).i2 - range(it).i1 <<
14 | " times in MISSISSIPPI and has " << repLength(it) << " characters." << std::endl;
15 |
16 | // Note that goDown follows the path STARTING with a given text. It only stops at the next node. Therefore the
17 | // output for the following code is the same as above, even though the search string changed.
18 | goRoot(it);
19 | goDown(it, "ISS");
20 |
21 | std::cout << "The string " << representative(it) << " occurs " << range(it).i2 - range(it).i1 <<
22 | " times in MISSISSIPPI and has " << repLength(it) << " characters." << std::endl;
23 |
24 | return 0;
25 | }

The string ISSI occurs 2 times in MISSISSIPPI and has 4 characters.
The string ISSI occurs 2 times in MISSISSIPPI and has 4 characters.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58